source 'https://github.com/CocoaPods/Specs.git'

use_frameworks!

def default_pods
#	pod 'CocoaLumberjack/Swift'
#	pod 'SnapKit', '~> 0.19.1'
end

def ui_ios_pods
#	pod 'Eureka', :git => 'git@github.com:xmartlabs/Eureka.git',  :branch => 'master'#'~> 1.4.1'
	pod 'MRProgress', '~> 0.8'
#	pod 'GPUImage'
end

def ui_osx_pods
#	pod 'IRFNavigationKit', :git => 'git@github.com:fabiopelosin/IRFNavigationKit.git'
end

def csv_ios_pods
#	pod 'SwiftCSV', :git => 'git@github.com:mobdim/SwiftCSV.git'
#	pod 'CSwiftV', :git => 'git@github.com:mobdim/CSwiftV.git'
end

def social_ios_pods
	pod 'ok-ios-sdk'
	pod 'VK-ios-sdk'
#	pod 'googleplus-ios-sdk', '~> 1.7.1'
	pod 'Google/SignIn'
end

def rx_pods
#    pod 'RxSwift', '~> 2.2'
#    pod 'RxCocoa', '~> 2.2'
#    pod 'RxBlocking', '~> 2.2'
#	pod 'RxSwift',    '~> 3.0.0-alpha.1'
#    pod 'RxCocoa',    '~> 3.0.0-alpha.1'
	pod 'RxSwift',    :git => 'git@github.com:ReactiveX/RxSwift.git', :branch => 'master'
    pod 'RxCocoa',    :git => 'git@github.com:ReactiveX/RxSwift.git', :branch => 'master'
end

def network_pods
#    pod 'Alamofire', '~> 3.2'
#	pod 'RxAlamofire', :git => 'git@github.com:mobdim/RxAlamofire.git', :branch => 'my'
end

def mapping_pods
#	pod 'AlamofireObjectMapper', '~> 2.1'
#	pod 'Alamofire', '~> 4.0’
#	pod 'AlamofireObjectMapper', :git => 'https://github.com/tristanhimmelman/AlamofireObjectMapper', :branch => 'swift-3'
#pod 'AlamofireObjectMapper', :git => 'git@github.com:tristanhimmelman/AlamofireObjectMapper.git', :branch => 'swift-3'
end

def fabric_pods
	pod 'Fabric'
	pod 'Crashlytics'
end

target :'ntv-ios' do
    platform :ios, "9.0"
	default_pods
	rx_pods
    network_pods
	ui_ios_pods
	mapping_pods
	fabric_pods
	csv_ios_pods
	social_ios_pods
end

target :'ntv-osx' do
	platform :osx, "10.10"
	default_pods
    rx_pods
    network_pods
	ui_osx_pods
	mapping_pods
end
